package com.example.greenwatch;

import android.media.MediaRecorder;

import java.io.IOException;

public class AudioRecorder implements Runnable {

    private final MediaRecorder audioRecorder;
    private final String audioPath;
    public AudioRecorder(MediaRecorder audioRecorder, String audioPath) {
        this.audioRecorder = audioRecorder;
        this.audioPath = audioPath;
    }
    @Override
    public void run() {
        audioRecorder.setAudioSource(MediaRecorder.AudioSource.DEFAULT);
        audioRecorder.setOutputFormat(MediaRecorder.OutputFormat.MPEG_4);
        audioRecorder.setAudioEncoder(MediaRecorder.AudioEncoder.AAC);
        audioRecorder.setOutputFile(audioPath);

        try {
            audioRecorder.prepare();
            audioRecorder.start();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

}
