package com.example.greenwatch;

import android.Manifest;
import android.content.pm.PackageManager;
import android.os.Bundle;
import android.view.SurfaceView;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;

public class MainActivity extends AppCompatActivity {

    private boolean isRecording = false;
    private static final int REQUEST_PERMISSION = 200;
    private Button button;
    private SurfaceView surfaceView;
    private AlarmRecorder alarmRecorder;
    private static final int REQUEST_PERMISSIONS = 123;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        button = findViewById(R.id.button);
        surfaceView = findViewById(R.id.surfaceView);
        alarmRecorder = new AlarmRecorder(surfaceView.getHolder());

        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (!isRecording) {
                    if (ContextCompat.checkSelfPermission(MainActivity.this, Manifest.permission.CAMERA)
                            != PackageManager.PERMISSION_GRANTED
                            || ContextCompat.checkSelfPermission(MainActivity.this, Manifest.permission.WRITE_EXTERNAL_STORAGE)
                            != PackageManager.PERMISSION_GRANTED
                            || ContextCompat.checkSelfPermission(MainActivity.this, Manifest.permission.RECORD_AUDIO)
                            != PackageManager.PERMISSION_GRANTED) {
                        ActivityCompat.requestPermissions(MainActivity.this,
                                new String[]{Manifest.permission.CAMERA, Manifest.permission.WRITE_EXTERNAL_STORAGE, Manifest.permission.RECORD_AUDIO},
                                REQUEST_PERMISSION);
                    } else {
                        isRecording = true;
                        alarmRecorder.startRecording();
                    }
                } else {
                    isRecording = false;
                    alarmRecorder.stopRecording();
                }
            }
        });
    }

    @Override
    public void onRequestPermissionsResult(int requestCode, String[] permissions, int[] grantResults) {
        super.onRequestPermissionsResult(requestCode, permissions, grantResults);
        if (requestCode == REQUEST_PERMISSION) {
            if (grantResults.length > 0 && grantResults[0] == PackageManager.PERMISSION_GRANTED) {
                // Berechtigungen wurden gewährt
                Toast.makeText(this, "Berechtigungen gewährt", Toast.LENGTH_SHORT).show();
                isRecording = true;
                alarmRecorder.startRecording();
            } else {
                // Berechtigungen wurden nicht gewährt
                Toast.makeText(this, "Berechtigungen nicht gewährt", Toast.LENGTH_SHORT).show();
            }
        }
    }
}